package com.wechat.callback.tencentrequests;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "xml")
public final class UserSentTextRequest extends BaseRequest {
    private String content;//消息内容
    private Long msgId;//消息id

    public Long getMsgId() {
        return msgId;
    }

    @XmlElement(name = "MsgId")
    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }

    public String getContent() {
        return content;
    }

    @XmlElement(name = "Content")
    public void setContent(String content) throws Exception {
        this.content = new String(content.getBytes("ISO-8859-1"),"UTF-8");
    }
}
